summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-05-14 13:26:56 +0000
committerKarl Berry <karl@freefriends.org>2010-05-14 13:26:56 +0000
commit9eb0528f4db768f80e29f9f02a4f018ee7269da5 (patch)
treed83eeb672c72ad8697a1ff842c812f3b56d03901 /Master/tlpkg/bin/tl-update-tlnet
parent7b6ed80c5715adec9a91e35d9de431863df27b0f (diff)
first cut at pretest builds
git-svn-id: svn://tug.org/texlive/trunk@18241 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet14
1 files changed, 8 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 2f3a3a57966..62d188d17ee 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -1,5 +1,5 @@
#!/bin/sh -e
-# Copyright 2008, 2009 Norbert Preining
+# Copyright 2008, 2009, 2010 Norbert Preining
# This file is licensed under the GNU General Public License version 2
# or any later version.
#
@@ -13,8 +13,10 @@ yyyy=2010
chicken=false
critical=
+pretest=false
recreate=
-do_testinstall=true
+testinstall=true
+tlweb=/home/ftp/texlive/tlnet
verbose=
while test $# -gt 0; do
@@ -22,7 +24,8 @@ while test $# -gt 0; do
--critical) critical=--all;;
--dry-run|-n) chicken=true;;
--master) shift; Master=$1;;
- --no-testinstall|-N) do_testinstall=false;; # and no updates; quit early.
+ --no-testinstall|-N) testinstall=false;; # and no updates; quit early.
+ --pretest) tlweb=/home/ftp/texlive/tlpretest;;
--recreate) recreate=--recreate;;
--testlocation) shift; tltrybase=$1;;
-v|-vv|-vvv) verbose=$1;;
@@ -35,7 +38,6 @@ while test $# -gt 0; do
shift
done
-test -z "$tlweb" && tlweb=/home/ftp/texlive/tlnet
if test -z "$Master"; then
mydir=`dirname $0`
Master=`cd $mydir/../.. && pwd`
@@ -87,8 +89,8 @@ echo "$0: Running tl-update-install-pkg..."
$Master/tlpkg/bin/tl-update-install-pkg -o $tltry
END_COW
-# if not doing the test installation, never push anything out.
-$do_testinstall || exit 0
+# if not doing the test installation, don't push anything out.
+$testinstall || exit 0
#
# Now we have an updated tlweb in $tltry where only the changed files